Skip to Content
inclamoDocs

Update a contact

PATCH
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}

Update a contact's attributes

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

Request Body

application/json
  1. body
identifier?string

External identifier of the contact

identifier_hash?string

Identifier hash prepared for HMAC authentication

email?string

Email of the contact

name?string

Name of the contact

phone_number?string

Phone number of the contact

avatar?file

Send the form data with the avatar image binary or use the avatar_url

Formatbinary
custom_attributes?

Custom attributes of the customer

Response Body

Success

application/json
  1. response

Full serialized contact record returned when the public API renders a Contact model directly.

id?integer

Id of the contact

name?|

Name of the contact when available

email?|

Email of the contact

phone_number?|

Phone number of the contact

identifier?|

Identifier of the contact

blocked?boolean

Whether the contact is blocked

additional_attributes?|

Additional attributes of the contact when present

custom_attributes?|

Custom attributes of the contact when present

contact_type?|

Contact type of the contact when available

country_code?|

Country code of the contact

last_activity_at?|

Last activity timestamp of the contact in ISO 8601 format

created_at?|

Created timestamp of the contact in ISO 8601 format

updated_at?|

Updated timestamp of the contact in ISO 8601 format

last_name?|

Last name of the contact

middle_name?|

Middle name of the contact

location?|

Location of the contact

account_id?integer

Account id of the contact

company_id?|

Company id of the contact

label_list?array<string>

Labels applied to the contact

[key: string]?any
Example Request
curl -X PATCH 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "name": "string",  "email": "string",  "phone_number": "string",  "identifier": "string",  "blocked": true,  "additional_attributes": {},  "custom_attributes": {},  "contact_type": "string",  "country_code": "string",  "last_activity_at": "string",  "created_at": "string",  "updated_at": "string",  "last_name": "string",  "middle_name": "string",  "location": "string",  "account_id": 0,  "company_id": 0,  "label_list": [    "string"  ]}